## textual-fastdatatable 0.12.0

=== Makefile ===
.PHONY: check
check:
	ruff format .
	pytest
	ruff check . --fix
	mypy

.PHONY: lint
lint:
	ruff format .
	ruff check . --fix
	mypy

.PHONY: serve
serve:
	textual run --dev -c python -m textual_fastdatatable

.PHONY: profile
profile:
	pyinstrument -r html -o profile.html "src/scripts/run_arrow_wide.py"

.PHONY: benchmark
benchmark:
	python src/scripts/benchmark.py > /dev/null

=== debian/changelog ===
textual-fastdatatable (0.12.0-4) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:49:03 +0200

textual-fastdatatable (0.12.0-3) sid; urgency=medium

  * Updating to standards version 4.7.2.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Mar 2025 18:14:48 +0100

textual-fastdatatable (0.12.0-2) sid; urgency=medium

  * Using codenames in changelog instead of suitenames.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Mar 2025 08:11:16 +0100

textual-fastdatatable (0.12.0-1) sid; urgency=medium

  * Initial upload to sid, needed for harlequin.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Feb 2025 10:58:47 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=textual-fastdatatable

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# disabled

=== debian/watch ===
version=4
https://github.com/tconbeer/textual-fastdatatable/tags .*/v?(\d.*)@ARCHIVE_EXT@

## textual-fastdatatable 0.13.0

=== debian/changelog ===
textual-fastdatatable (0.13.0-1) sid; urgency=medium

  * Adding upstream metadata.
  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 0.13.0.
  * Updating watch file to version 5.
  * Adding newly required python3-hatchling to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Oct 2025 12:52:34 +0200

=== debian/watch ===
Version: 5

Template: Github
Owner: tconbeer
Project: @PACKAGE@

## textual-fastdatatable 0.14.0

=== Makefile ===
.PHONY: check
check:
	uv sync --group test --group static
	uv run ruff format .
	uv run pytest
	uv run ruff check . --fix
	uv run mypy

.PHONY: lint
lint:
	uv sync --group test --group static
	uv run ruff format .
	uv run ruff check . --fix
	uv run mypy

.PHONY: serve
serve:
	uv sync --group dev
	uv run textual run --dev -c python -m textual_fastdatatable

.PHONY: profile
profile:
	uv sync --group dev
	uv run pyinstrument -r html -o profile.html "src/scripts/run_arrow_wide.py"

.PHONY: benchmark
benchmark:
	uv sync --group dev
	uv run scripts/benchmark.py > /dev/null

=== debian/changelog ===
textual-fastdatatable (0.14.0-1) sid; urgency=medium

  * Merging upstream version 0.14.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 01 Nov 2025 06:30:07 +0100

=== debian/control ===
Source: textual-fastdatatable
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-poetry,
Standards-Version: 4.7.2
Homepage: https://github.com/tconbeer/textual-fastdatatable
Vcs-Browser: https://forgejo.debian.net/harlequin/textual-fastdatatable
Vcs-Git: https://forgejo.debian.net/harlequin/textual-fastdatatable

Package: python3-textual-fastdatatable
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: fast implementation of Textual's DataTable widget (Python module)
 textual-fastdatatable is a performance-focused implementation of Textual's
 DataTable widget, with a pluggable data storage backend.
 .
 Textual's built-in DataTable widget is beautiful and powerful, but it can be
 slow to load large datasets.
